Bug 388981 - Review Request: libnss-mysql - NSS library for MySQL
Review Request: libnss-mysql - NSS library for MySQL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 17:55 EST by Jan ONDREJ
Modified: 2009-01-07 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-01 02:06:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2007-11-17 17:55:55 EST
Spec URL: http://www.salstar.sk/pub/fedora/SPECS/libnss-mysql.spec
SRPM URL: http://www.salstar.sk/pub/fedora/SRPMS/8/libnss-mysql-1.5-3.fc8.src.rpm
Description: 
Store your UNIX user accounts in MySQL. "libnss-mysql" enables the following:

    * System-wide authentication and name service using a MySQL database.
      Applications do not need to be MySQL-aware or modified in any way.
    * Storing authentication information in a database instead of text files.
    * Creation of a single authentication database for multiple servers.
      This is often referred to as the "Single Sign-on" problem.
    * Writing data-modification routines (IE self-management web interface).

libnss-mysql is similar to NIS or LDAP. It provides the same centralized
authentication service through a database. What does this mean? Username,
uid, gid, password, etc comes from a MySQL database instead of
/etc/password, /etc/shadow, and /etc/group. A user configured in MySQL will
look and behave just like a user configured in /etc/passwd. Your
applications such as ls, finger, sendmail, qmail, exim, postfix, proftpd,
X, sshd, etc. will all 'see' these users!
Comment 1 manuel wolfshant 2007-11-17 19:49:27 EST
BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u}
-n) (see Packaging/Guidelines#BuildRoot in the wiki)
Mock build fails with:
2007-11-18 02:36:14,268 - util.py:218:DEBUG: checking for MySQL headers...
/usr/include/mysql
2007-11-18 02:36:14,268 - util.py:218:DEBUG: checking for MySQL libraries...
configure: error: Cannot locat
e MySQL libraries.  Try using --with-mysql=DIR
2007-11-18 02:36:14,268 - util.py:218:DEBUG: error: Bad exit status from
/var/tmp/rpm-tmp.50035 (%build)
2007-11-18 02:36:14,268 - util.py:218:DEBUG:
2007-11-18 02:36:14,268 - util.py:218:DEBUG:
2007-11-18 02:36:14,268 - util.py:218:DEBUG: RPM build errors:
2007-11-18 02:36:14,268 - util.py:218:DEBUG:     Bad exit status from
/var/tmp/rpm-tmp.50035 (%build)
2007-11-18 02:36:14,269 - trace_decorator.py:27:DEBUG: EXCEPTION:
Command(rpmbuild -bb --target x86_64 --no
deps //builddir/build/SPECS/libnss-mysql.spec) failed. See logs for output.
Comment 2 Jan ONDREJ 2007-11-18 02:19:30 EST
I am sorry, I forgotten to upload my latest src.rpm.
Buildroot fixed in 1.5-4 release.

New URL's:
Spec URL: http://www.salstar.sk/pub/fedora/SPECS/libnss-mysql.spec
SRPM URL: http://www.salstar.sk/pub/fedora/SRPMS/8/libnss-mysql-1.5-4.fc8.src.rpm
Comment 3 Jason Tibbitts 2007-11-18 02:30:13 EST
This still fails to build for me.  The build problem comes from the configure
script only checking for /usr/lib/mysql/ibmysqlclient.*, when on x86_64 the
libraries are in /usr/lib64/mysql.

Unfortunately due to complete brokenness of the configure script, it is not
possible to pass anything which will make it look in the proper location.  It
will check the following directories:
  what you pass to --with-mysql
  /usr
  /usr/local
  /usr/local/mysql
  /opt/local
  /opt/local/mysql
for the following files:
  lib/mysqlclient.so
  lib/mysql/libmysqlclient.so
  lib/libmysqlclient.a
  lib/mysql/libmysqlclient.a
so no matter what you pass, it will never look in /usr/lib64/mysql.

Your only options are to patch the configure script, or to impress upon upstream
the need to fix this and wait for them to do so.
Comment 4 Lubomir Kundrak 2007-11-18 04:23:39 EST
Taking this for the review.
Comment 5 Jan ONDREJ 2007-11-18 04:44:01 EST
http://www.salstar.sk/pub/fedora/SRPMS/8/libnss-mysql-1.5-5.fc8.src.rpm

ChangeLog:
* Sun Nov 18 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-5
- added a patch to build on x86_64 and may be other
- regenerated autoconf to use added patch
- provides cleanup
Comment 6 Lubomir Kundrak 2007-11-26 15:03:08 EST
* Please fix your buildroot
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

* This comment makes little sense, please remove it:
# These are not required for package functionality, but it may be better
# to run ldconfig after modifying /usr/lib content and rpmlint is more
# quiet.

* Whis is this provide in place?
Provides:  libnss_mysql = %{version}-%{release}

* Just a tip; Isn't the same thing achieved with autoreconf?
aclocal && autoconf && automake && autoheader

* Please remove the bullets from %description, it might not necessarily look
well in GUI tools.
Comment 7 Jan ONDREJ 2007-11-27 06:14:19 EST
Updated:
http://www.salstar.sk/pub/fedora/SPECS/libnss-mysql.spec
http://www.salstar.sk/pub/fedora/SRPMS/8/libnss-mysql-1.5-6.fc8.src.rpm

Is it ok with these modified "bullets"?
Or how to specify multiple features in description? I think they are very useful
for users who search for a package with these functions.

%changelog
* Tue Nov 27 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-6
- updated buildroot according to packaging guidelines
- removed comment before ldconfig
- removed provides libnss_mysql (compatibility with my old packages)
- autoreconf used
- description bullets updated
Comment 8 Jan ONDREJ 2007-11-27 06:52:23 EST
Spec file updated on URL above to fix formatting for dump text parsers.
Comment 9 Lubomir Kundrak 2007-11-27 07:23:26 EST
All the outstanding issues have been fixed. The package builds fine in mock,
rpmlint only complains about the config file ont being world-readable, which is
sane, asi it could contain database password.

Therefore, the package is

APPROVED
Comment 10 Jan ONDREJ 2007-11-27 07:45:50 EST
New Package CVS Request
=======================
Package Name: libnss-mysql
Short Description: NSS library for MySQL
Owners: ondrejj
Branches: FC-6 F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2007-11-27 14:46:23 EST
cvs done (except for the FC-6 branch. We no longer allow FC-6 branches). 
Comment 12 Jan ONDREJ 2007-12-01 02:06:53 EST
Packages built and releases as testing.
Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.